Index: src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 7f5196e3504984b5661fbf66a471b74d97902eeb)
+++ src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision bcf1215ae1464803d1e734e75fe19416361dd7b4)
@@ -30,7 +30,5 @@
 # TODO: Remove data
 # TODO: Modify plot references, don't just send new
-# TODO: Explorer button - link to PR from AW
 # TODO: Update help with batch capabilities
-# TODO: Window should not be fixed size
 # TODO: Easy way to scroll through results - no tabs in window(?) - 'spreadsheet'
 # TODO: Method to export results in some meaningful way
@@ -135,4 +133,5 @@
         self.calculateAllButton.clicked.connect(self.startThreadAll)
         self.calculateThisButton.clicked.connect(self.startThread)
+        self.removeButton.clicked.connect(self.removeData)
         self.helpButton.clicked.connect(self.help)
         self.estimateBgd.toggled.connect(self.toggleBgd)
@@ -207,4 +206,5 @@
 
         # Main Buttons
+        self.mapper.addMapping(self.removeButton, WIDGETS.W_REMOVE)
         self.mapper.addMapping(self.calculateAllButton, WIDGETS.W_CALCULATE_ALL)
         self.mapper.addMapping(self.calculateThisButton,
@@ -266,4 +266,5 @@
         Enable buttons when data is present, else disable them
         """
+        self.removeButton.setEnabled(self.logic.data_is_loaded)
         self.explorerButton.setEnabled(self.logic.data_is_loaded)
         self.calculateAllButton.setEnabled(self.logic.data_is_loaded)
@@ -273,5 +274,6 @@
         """
         Append a new file name to the data combobox
-        :param data: Data1D object
+        :param filename: data filename
+        :param data_ref: QStandardItem reference for data set to be added
         """
         qt_item = QtCore.QString.fromUtf8(filename)
@@ -292,4 +294,12 @@
         variant_ref = self.dataList.itemData(self.dataList.currentIndex())
         self.setCurrentData(variant_ref.toPyObject())
+
+    def removeData(self):
+        """Remove the existing data reference from the P(r) Persepective"""
+        self._data_list.pop(self._data)
+        self.pr_plot_list.pop(self._data)
+        self.data_plot_list.pop(self._data)
+        self.dataList.removeItem(self.dataList.currentIndex())
+        self.dataList.setCurrentIndex(0)
 
     ######################################################################
@@ -552,5 +562,5 @@
                            QtGui.QStandardItem(str(pr.iq0(out))))
         self.model.setItem(WIDGETS.W_BACKGROUND_INPUT,
-                           QtGui.QStandardItem("{:.3f}".format(pr.background)))
+                           QtGui.QStandardItem("{:.3f}".format(pr.est_bck)))
         self.model.setItem(WIDGETS.W_BACKGROUND_OUTPUT,
                            QtGui.QStandardItem(str(pr.background)))
Index: src/sas/qtgui/Perspectives/Inversion/InversionUtils.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionUtils.py	(revision c00a28ff90ee52011612ce41727f839824235292)
+++ src/sas/qtgui/Perspectives/Inversion/InversionUtils.py	(revision bcf1215ae1464803d1e734e75fe19416361dd7b4)
@@ -27,4 +27,5 @@
                 'W_SIGMA_POS_FRACTION',
                 # bottom buttons
+                'W_REMOVE',
                 'W_CALCULATE_ALL',
                 'W_CALCULATE_VISIBLE',
Index: src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui	(revision c00a28ff90ee52011612ce41727f839824235292)
+++ src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui	(revision bcf1215ae1464803d1e734e75fe19416361dd7b4)
@@ -8,9 +8,9 @@
     <y>0</y>
     <width>458</width>
-    <height>500</height>
+    <height>679</height>
    </rect>
   </property>
   <property name="sizePolicy">
-   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+   <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
@@ -20,11 +20,11 @@
    <size>
     <width>458</width>
-    <height>500</height>
+    <height>679</height>
    </size>
   </property>
   <property name="maximumSize">
    <size>
-    <width>458</width>
-    <height>500</height>
+    <width>16777215</width>
+    <height>16777215</height>
    </size>
   </property>
@@ -33,9 +33,16 @@
   </property>
   <layout class="QGridLayout" name="gridLayout_7">
-   <item row="3" column="0">
+   <item row="4" column="0">
     <layout class="QHBoxLayout" name="horizontalLayout_8">
      <property name="sizeConstraint">
       <enum>QLayout::SetDefaultConstraint</enum>
      </property>
+     <item>
+      <widget class="QPushButton" name="removeButton">
+       <property name="text">
+        <string>Remove</string>
+       </property>
+      </widget>
+     </item>
      <item>
       <widget class="QPushButton" name="calculateThisButton">
@@ -89,5 +96,5 @@
     </layout>
    </item>
-   <item row="2" column="0">
+   <item row="3" column="0">
     <spacer name="verticalSpacer">
      <property name="orientation">
@@ -102,5 +109,5 @@
     </spacer>
    </item>
-   <item row="1" column="0">
+   <item row="1" column="0" rowspan="2">
     <widget class="QTabWidget" name="PrTabWidget">
      <property name="sizePolicy">
@@ -123,5 +130,5 @@
        <string>P(r) Parameters</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_6" stretch="0,1,1,0">
+      <layout class="QVBoxLayout" name="verticalLayout_6" stretch="0,1,1,0,0">
        <item>
         <widget class="QGroupBox" name="dataSourceGroupBox">
@@ -396,12 +403,5 @@
         </widget>
        </item>
-      </layout>
-     </widget>
-     <widget class="QWidget" name="tabOptions">
-      <attribute name="title">
-       <string>Outputs</string>
-      </attribute>
-      <layout class="QGridLayout" name="gridLayout_6">
-       <item row="0" column="0">
+       <item>
         <widget class="QGroupBox" name="outputsGroupBox">
          <property name="title">
@@ -578,17 +578,4 @@
          </layout>
         </widget>
-       </item>
-       <item row="1" column="0">
-        <spacer name="verticalSpacer_2">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>40</height>
-          </size>
-         </property>
-        </spacer>
        </item>
       </layout>
